environment

see the `environment` page for the full documentation More...

## Public Member Functions

| environment (int &argc, char **&argv, const environment_option_type &opt=environment_option_type())
| ~environment ()

## Static Public Member Functions

static bool | initialized ()
static bool | finalized ()
static void | abort (int errcode)
static int | max_tag ()
static int | collectives_tag ()
static boost::optional< int > | host_rank ()
static boost::optional< int > | io_rank ()
static std::string | processor_name ()

## Detailed Description

see the `environment` page for the full documentation

Definition at line 115 of file environment.h.

## Constructor & Destructor Documentation

## environment()

environment | ( | int & | argc,
|  | char **& | argv,
|  | const environment_option_type & | opt = `environment_option_type()`
| ) |  |

explicit

Definition at line 64 of file environment.cc.

## ~environment()

~environment | ( |  | ) |

Definition at line 89 of file environment.cc.

## Member Function Documentation

## initialized()

bool initialized | ( |  | ) |

static

Definition at line 54 of file environment.cc.

## finalized()

bool finalized | ( |  | ) |

static

Definition at line 59 of file environment.cc.

## abort()

void abort | ( | int | errcode | ) |

static

Definition at line 96 of file environment.cc.

## max_tag()

int max_tag | ( |  | ) |

static

Definition at line 100 of file environment.cc.

## collectives_tag()

int collectives_tag | ( |  | ) |

static

Definition at line 108 of file environment.cc.

## host_rank()

boost::optional< int > host_rank | ( |  | ) |

static

Definition at line 112 of file environment.cc.

## io_rank()

boost::optional< int > io_rank | ( |  | ) |

static

Definition at line 123 of file environment.cc.

## processor_name()

std::string processor_name | ( |  | ) |

static

Definition at line 134 of file environment.cc.

The documentation for this class was generated from the following files:

- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/environment.h
- /build/rheolef-FQTnje/rheolef-7.1/linalg/lib/environment.cc